package com.citygis.common.core.domain.entity;

import lombok.Data;

import java.util.List;

/**
 * @Author: zyl
 * @CreateTime: 2025-02-26
 * @Description:
 * @Version: 1.0
 */
@Data
public class SysUserSync {

    // 基础信息字段
    private String accountNo;
    private String accountName;
    private Integer accountStatus;
    private Boolean admin;
    private String email;
    private String phonenumber;
    private String remark;
    private Long roleId;

    private Long deptId;

    // 嵌套对象集合
    private List<SysUserSyncJob> jobs;
    private SysUserSyncOrg orgs;

    // 时间信息字段
    private String updateTime;
    private String createTime;

    // 逻辑删除标记（0-正常 1-删除）
    private Integer isDel;

    private String photoUrl;

}
